 #!/bin/sh
 # This script will be used to add the change proxy password task to
 # crontab, so that it will be scheduled to run at regular intervals.
 # By default this job is scheduled to run for every 30 days period.

user_id=`id -u`
if test $user_id -ne 0
then 
	echo "add_to_crontab.sh : Only root user can run this script"
	exit 1
fi
 
 TMP_FILE="/tmp/tmpproxy.txt"
 RES=0
 /usr/bin/crontab -l >> $TMP_FILE
 ADD_JOB="0 0 15 * * /opt/novell/proxymgmt/bin/change_proxy_pwd.sh -A yes"
 grep "change_proxy_pwd.sh" $TMP_FILE >> /dev/null
 JOB_NOT_EXIST=$?
 if test $JOB_NOT_EXIST == 1 
 then
 	echo "$ADD_JOB" >> $TMP_FILE
 	/usr/bin/crontab $TMP_FILE >> /dev/null 
 	RES=$?
 fi
 
 rm $TMP_FILE
 exit $RES 
